%define name	enchant
%define version	1.1.5
%define release	1mdk

%define lib_major	1
%define lib_name	%mklibname %{name} %{lib_major}


Summary:	An enchanting spell checking library
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Libraries
License:	LGPL
URL:		http://www.abisource.com/enchant/
Source:		%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	glib2-devel >= 2.0.0
BuildRequires:	aspell-devel


%description
A library that wraps other spell checking backends.


%package -n %{lib_name}
Summary:	Libraries for enchant
Group:		System/Libraries
Requires:	%{name} = %{version}

%description -n %{lib_name}
This package provides the libraries for using enchant.


%package -n %{lib_name}-devel
Summary:	Libraries and include files for developing with enchant
Group:		Development/C
Requires:	%{lib_name} = %{version}
Provides:	%{name}-devel

%description -n %{lib_name}-devel
This package provides the necessary development libraries and include
files to allow you to develop with enchant.


%prep

%setup -q

%build
%configure
%make


%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi
make DESTDIR=$RPM_BUILD_ROOT install

# remove unneeded *.la files
find $RPM_BUILD_ROOT/%{_libdir} -name \*.la -exec rm -f \{\} \;

%find_lang %name


%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig


%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi


%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS COPYING.LIB HACKING README TODO
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/lib*.so.*
%dir %{_libdir}/enchant
# todo: split backends in seperate packages?
%{_libdir}/enchant/lib*.so*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_libdir}/*.a
#%{_libdir}/enchant/*.so
%{_libdir}/enchant/*.a
%{_libdir}/pkgconfig/enchant.pc
%dir %{_includedir}/enchant
%{_includedir}/enchant/*


%changelog
* Sat Dec 25 2004 Marcel Pol <mpol@mandrake.org> 1.1.5-1mdk
- 1.1.5

* Sun Sep 26 2004 Marcel Pol <mpol@mandrake.org> 1.1.2-3mdk
- move backend files from devel to library package

* Fri Jun 11 2004 Marcel Pol <mpol@mandrake.org> 1.1.2-2mdk
- rebuild

* Wed Dec 10 2003 Marcel Pol <mpol@mandrake.org> 1.1.2-1mdk
- 1.1.2

* Tue Oct 28 2003 Marcel Pol <mpol@gmx.net> 1.1.1-1mdk
- mandrake release

* Wed Jul 16 2003 Rui Miguel Seabra <rms@1407.org>
- take advantage of environment rpm macros

* Sun Jul 13 2003 Dom Lachowicz <cinamod@hotmail.com>
- Initial version
